# Konzept Findung
Das bestehende Projekt zur Ansteuerung der Lüftungsklappen in der [maker**space** Bocholt](https://makerspace-bocholt.de/) wird kommplet überarbeitet.


## Mögliche Use Cases

1. Steuerung der Lüfterklappen in der [maker**space** Bocholt](https://makerspace-bocholt.de/)

    Ein DC_Moter mit einer Untersetzung (z.B auf 8 Umdr/min) treibt die Klappen direkt an.
    Zwei Endschalter mit Diode begrenzen den Bewegungswinkel.
    Daher wird nur eine zwei adrige Leitung pro Klappe benötigt.

2. Steuerung von Schliessfächern über Elektromagnete.

    Je ein Elelktromagnet pro Schliesfach kann dieses durch einen Stromimpuls,
    von 1 Sekunde, öffnen.
    Die Steuerung braucht nur immer ein Elektromagnet ansteuern.
    Es werden **nie** mehrere Elektromagnete gleichzeitig angesteuert.

3. Steuerung von Schliessfächern über Modellbau Servos.

    Die Steuerung kann durch die Änderung des PWMs jeweils ein Modellbau Servo
    pro Schliesfach ansteuern.
    Die Steuerung braucht nur immer ein Servo ansteuern.
    Es werden **nie** mehrere Servos gleichzeitig angesteuert.

4. Steuerung von beliebigen Anwendungen über Modellbau Servos.

    Die Steuerung kann durch die Änderung des PWMs jedes ein Modellbau Servo
    einzeln ansteuern.
    Die Steuerung kann alle Servos gleichzeitig individuel ansteuern.

5. Steuerung der Druckluft von verschiedenen Arbeitsplätzen und Maschienen.

    Die Steuerung kann durch anlegen einer Spannung die Magnetventiele diese öffnen
    und durch abschalten der Spannnung schließen.
    Die Spannungen müssen an den einzelnen Magnetventielen unabhängig von
    einander gesteuert werden.

## Mögliche Komponenten

### Relais

1. [**Printrelais NIKKO** N4232A-012-Z1A-P (HG4232A) 12 V-, 1 Wechsler](https://www.pollin.de/p/printrelais-nikko-n4232a-012-z1a-p-hg4232a-12-v-1-wechsler-340546)
    
    - Pollin ab 5 Stück 0,60€
    
    - Technische Daten:
        - Spulenspannung: 12 V-
        - Spulenwiderstand: 180 Ω
        - Schaltkontakte: 1 Wechsler
        - Schaltstrom: 20 A
        - Schaltspannung: 14 V-
        - Maße (LxBxH): 22,5x16,5x17 mm

2. [**FUJITSU Relais**, F&T, F1CA024V, 24V, 2 Wechsler 5A 250V~](https://www.pollin.de/p/relais-fujitsu-f-t-f1ca024v-24v-2-wechsler-5a-250v-340953)
    
    - Pollin 0,75€
    - Versiegeltes Relais von Fujitsu für die direkte Printmontage.

    - Technische Daten:
        - Spulenspannung: 24 V-
        - Schaltleistung: 24V-/5 A, 250 V~/5 A
        - Kontakt: 2x Wechsler
        - Maße (LxBxH): 29x12x17 mm

### Servo Ansteuerung


3. [**PCA9685** 16 Kanal 12-bit PWM Servo i²c Modul](https://de.aliexpress.com/item/1005001608315934.html)

    - AliExpress 3,75€

    - Kann direkt 16 Modelbau Servos ansteuern.
    - Braucht nur bei Änderungen der Servo Stellung ansteuerung von der CPU sonst vollkommen autark.
    - Es können 64 Module über i²c angesprochen werden, das sind 996 Servos.

### Port Erweiterungen

4. [**MCP23017-E/SO** I/O-Erweiterung, 16bit, 1,8 - 5V, Seriell, I2C, SO-28](https://www.reichelt.de/i-o-erweiterung-16bit-1-8-5v-seriell-i2c-so-28-mcp23017-e-so-p282743.html)

    - Reichelt 1,45€

    - 16-Bit-I/O-Expander mit serieller Schnittstelle

    - Merkmale:
        - Bidirektionaler 16-Bit-Remote-E/A-Anschluss:
        - I/O-Pins standardmäßig auf Eingang
        - Hochgeschwindigkeits-I2C-Schnittstelle (MCP23017):
        - 100kHz
        - 400kHz
        - 1,7MHz
        - Drei Hardware-Adress-Pins ermöglichen bis zu acht Geräte am Bus
        - Konfigurierbare Unterbrechungs-Ausgangspins:
        - Konfigurierbar als Aktiv-Hoch, Aktiv-Niedrig oder Open-Drain
        - INTA und INTB können so konfiguriert werden, dass sie unabhängig voneinander oder gemeinsam operieren
        - Konfigurierbare Unterbrechungsquelle:
        - Interrupt-on-change von konfigurierten Registervorgaben oder Pin-Änderungen
        - Register zur Polaritätsumkehrung, um die Polarität der Eingangsportdaten zu konfigurieren
        - Externer Rücksetzeingang
        - Niedriger Standby-Strom: 1 µA (max.)
        - Betriebsspannung:
        - 1,8V bis 5,5V bei -40°C bis +85°C
        - 2,7V bis 5,5V bei -40°C bis +85°C
        - 4,5V bis 5,5V bei -40°C bis +125°C




5. **PCF8574** Remote 8-Bit I/O Expander for I²C Bus

    - Als Baustein
        - 1,20€ bei [Reichelt](https://www.reichelt.de/remote-8-bit-i-o-expander-for-i2c-bus-sol-16-pcf-8574-t-p39885.html?&trstct=pos_0&nbc=1)
    
    - Als Modul
        - https://de.aliexpress.com/item/32713904220.html

    - [Datenblatt](https://www.ti.com/lit/ds/symlink/pcf8574.pdf)


### Mögliche Aktoren

1. [**Gleichstrom-Getriebemotor** TDY-12, 12 V-, 0,18 A, 8 U/min](https://www.pollin.de/p/gleichstrom-getriebemotor-tdy-12-12-v-0-18-a-8-u-min-310753)

  - Pollin 5,45€

  - Technische Daten:
    - Betriebsspannung: 12 V- (5...15 V-)
    - Stromaufnahme: max. 180 mA bei 12 V-
    - Leistung: max. 4 W
    - Drehzahl: 8 RPM
    - Anschluss: Lötösen
    - Achse mit 3 mm-Bohrung und Gewindebohrung M4
    - Achse (ØxL): 7x13 mm
    - Maße ohne Welle (ØxH): 50x38 mm

2. [**Servomotor**, analog, 23,5x12,5 mm, Kunststoffgetriebe](https://www.pollin.de/p/servomotor-analog-23-5x12-5-mm-kunststoffgetriebe-820081)

    - Pollin 6,50€

    - Technische Daten:
        - Betriebsspannung: 4,8...6 V-
        - Steuerpuls: 0,7...1,5...2,3 ms
        - Winkelbereich: +/- 70°
        - Stellmoment bei 4,8/6 V-: 1,3/1,5 kg/cm
        - Stellzeit bei 4,8/6 V-: 0,12/0,1 s/60°
        - Gewicht 9 g
        - Gleitlager
        - 3-polige Anschlussleitung, 160 mm
        - Einbaumaße (LxB): 23,5x12,5 mm
        - Gesamtmaße ohne Ruderhorn (LxBxH): 32x12,5x26 mm

3. [**Türentriegelung**, 12 V-](https://www.pollin.de/p/tuerentriegelung-12-v-340789)

    - Pollin 12,95€

    - Technische Daten:
        - Betriebsspannung: 12 V-
        - Stromaufnahme: max. 1 A
        - Funktion: Riegel zieht bei Anlegen von 12 V ein
        - Länge Anschlussleitung: 250 mm
        - Riegelmaße (LxBxH): 10x10x10 mm
        - Türöffner-Maße ohne Riegel (LxBxH): 55x40x28 mm

4. [**2/2-Wege Magnetventil** mit koaxialer Durchströmung BMV60404M, Messing, EPDM, 12V-](https://www.pollin.de/p/2-2-wege-magnetventil-mit-koaxialer-durchstroemung-bmv60404m-messing-epdm-12v-340898)

    - Pollin 24,95€

    - Technische Daten:
        - Typ: BMV60404ME28D///100
        - Anschluss Eingang / Ausgang: G 1/4" AG, G 1/8" IG
        - Material Ventilkörper: Messing
        - Material Ventilstößel, Anker: Ferritischer Edelstahl
        - Dichtungsmaterial: EPDM (Ethylen-Propylen-Dien-Kautschuk)
        - Nennweite: 2,8 mm
        - Für Medien: Flüssig und gasförmig (Wasser, Druckluft, CO², Schutzgase in Schweißtechnik MIG, WIG, MAG- Die Beständigkeit gegen weitere Fluide ist - vor Inbetriebnahme entsprechend zu prüfen.
        - Ventiltyp: 2-Wege normal geschlossen (NC)
        - Steuerungsart: direktgesteuert
        - Montageposition: beliebig
        - Betriebsspannung: 12 V-
        - Nennleistung: 7,5 W
        - Max. Schaltdruck: 6,0 bar
        - Isolationsklasse: F (155°C)
        - Einschaltdauer: 100%
        - Elektrischer Anschluss: 6,3 mm Flachstecker, Ventilstecker nach DIN43650/ISO6952, Form B, Industriestandard
        - Gesamtmaße(LxBxH): 65,9x22x40,8 mm



## Lizens

    - MIT?
